Parser (Axis API)
Keywords: org.apache.axis.wsdl.gen.Parser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.gen
Class Parser

    java.lang.Object
      org.apache.axis.wsdl.gen.Parser

Direct Known Subclasses:
  Emitter

public class Parser
extends java.lang.Object

This is a class with no documentation.

Field Summary
`protected boolean` | `debug` Field debug
`protected boolean` | `imports` Field imports
`protected boolean` | `nowrap` Field nowrap
`protected java.lang.String` | `password` Field password
`protected boolean` | `quiet` Field quiet
`protected java.lang.String` | `username` Field username
`protected boolean` | `verbose` Field verbose
`protected boolean` | `wrapArrays` If this is false, we'll prefer "String[]" to "ArrayOfString" for literal wrapped arrays

Constructor Summary
`Parser()`

Method Summary
`javax.wsdl.Definition` | `getCurrentDefinition()` Return the current definition.
`GeneratorFactory` | `getFactory()` Method getFactory
`java.lang.String` | `getPassword()` Method getPassword
`SymbolTable` | `getSymbolTable()` Get the symbol table.
`long` | `getTimeout()` Return the current timeout setting
`java.lang.String` | `getUsername()` Method getUsername
`java.lang.String` | `getWSDLURI()` Get the current WSDL URI.
`boolean` | `isDebug()` Method isDebug
`boolean` | `isImports()` Method isImports
`boolean` | `isNowrap()` Method isNowrap
`boolean` | `isQuiet()` Method isQuiet
`boolean` | `isVerbose()` Method isVerbose
`void` | `run(java.lang.String wsdlURI)` Parse a WSDL at a given URL.
`void` | `run(java.lang.String context, org.w3c.dom.Document doc)` Call this method if your WSDL document has already been parsed as an XML DOM document.
`protected void` | `sanityCheck(SymbolTable symbolTable)` Method sanityCheck
`void` | `setDebug(boolean debug)` Method setDebug
`void` | `setFactory(GeneratorFactory factory)` Method setFactory
`void` | `setImports(boolean imports)` Method setImports
`void` | `setNowrap(boolean nowrap)` Method setNowrap
`void` | `setPassword(java.lang.String password)` Method setPassword
`void` | `setQuiet(boolean quiet)` Method setQuiet
`void` | `setTimeout(long timeout)` Set the timeout, in milliseconds
`void` | `setUsername(java.lang.String username)` Method setUsername
`void` | `setVerbose(boolean verbose)` Method setVerbose

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected boolean debug

  Field debug

### quiet

    protected boolean quiet

  Field quiet

### imports

    protected boolean imports

  Field imports

### verbose

    protected boolean verbose

  Field verbose

### nowrap

    protected boolean nowrap

  Field nowrap

### username

    protected java.lang.String username

  Field username

### password

    protected java.lang.String password

  Field password

### wrapArrays

    protected boolean wrapArrays

  If this is false, we'll prefer "String[]" to "ArrayOfString" for literal wrapped arrays

Constructor Detail

### Parser

    public Parser()

Method Detail

### isDebug

    public boolean isDebug()

  Method isDebug

  Returns:

### setDebug

    public void setDebug(boolean debug)

  Method setDebug

  Parameters:
    `debug` -

### isQuiet

    public boolean isQuiet()

  Method isQuiet

  Returns:

### setQuiet

    public void setQuiet(boolean quiet)

  Method setQuiet

  Parameters:
    `quiet` -

### isImports

    public boolean isImports()

  Method isImports

  Returns:

### setImports

    public void setImports(boolean imports)

  Method setImports

  Parameters:
    `imports` -

### isVerbose

    public boolean isVerbose()

  Method isVerbose

  Returns:

### setVerbose

    public void setVerbose(boolean verbose)

  Method setVerbose

  Parameters:
    `verbose` -

### isNowrap

    public boolean isNowrap()

  Method isNowrap

  Returns:

### setNowrap

    public void setNowrap(boolean nowrap)

  Method setNowrap

  Parameters:
    `nowrap` -

### getTimeout

    public long getTimeout()

  Return the current timeout setting

  Returns:

### setTimeout

    public void setTimeout(long timeout)

  Set the timeout, in milliseconds

  Parameters:
    `timeout` -

### getUsername

    public java.lang.String getUsername()

  Method getUsername

  Returns:

### setUsername

    public void setUsername(java.lang.String username)

  Method setUsername

  Parameters:
    `username` -

### getPassword

    public java.lang.String getPassword()

  Method getPassword

  Returns:

### setPassword

    public void setPassword(java.lang.String password)

  Method setPassword

  Parameters:
    `password` -

### getFactory

    public GeneratorFactory getFactory()

  Method getFactory

  Returns:

### setFactory

    public void setFactory(GeneratorFactory factory)

  Method setFactory

  Parameters:
    `factory` -

### getSymbolTable

    public SymbolTable getSymbolTable()

  Get the symbol table. The symbol table is null until run is called.

  Returns:

### getCurrentDefinition

    public javax.wsdl.Definition getCurrentDefinition()

  Return the current definition. The current definition is null until run is called.

  Returns:

### getWSDLURI

    public java.lang.String getWSDLURI()

  Get the current WSDL URI. The WSDL URI is null until run is called.

  Returns:

### run

    public void run(java.lang.String wsdlURI)
             throws java.lang.Exception

  Parse a WSDL at a given URL.

  This method will time out after the number of milliseconds specified by our timeoutms member.

  Parameters:
    `wsdlURI` -
  Throws:
    `java.lang.Exception`

### run

    public void run(java.lang.String context,
                    org.w3c.dom.Document doc)
             throws java.io.IOException,
                    org.xml.sax.SAXException,
                    javax.wsdl.WSDLException,
                    javax.xml.parsers.ParserConfigurationException

  Call this method if your WSDL document has already been parsed as an XML DOM document.

  Parameters:
    `context` - context This is directory context for the Document. If the Document were from file "/x/y/z.wsdl" then the context could be "/x/y" (even "/x/y/z.wsdl" would work). If context is null, then the context becomes the current directory.
    `doc` - doc This is the XML Document containing the WSDL.
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `javax.wsdl.WSDLException`
    `javax.xml.parsers.ParserConfigurationException`

### sanityCheck

    protected void sanityCheck(SymbolTable symbolTable)

  Method sanityCheck

  Parameters:
    `symbolTable` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.